function [ omega, u_omega ] = getSpeed( omegaPrime )

    [ omegaByArduinoClock, u_omegaByArduinoClock ] = getSpeedByArduinoClock( omegaPrime );

    u_omega_acc = Constants.SPEED_UNCERTAINTY_PERCENTAGE / 100;
    u_omega_omega_acc = omegaByArduinoClock * u_omega_acc;

    omega = omegaByArduinoClock;
    u_omega = getTotalUncertainty( u_omegaByArduinoClock, ...
                                   u_omega_omega_acc );
end